Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions

# TrackerNode Class Reference

This is the primary interface to a Tracker object associated with a ClientBase. More...

Inheritance diagram for TrackerNode:

List of all members.

## Public Member Functions
| TrackerNode (ClientBase client, string device_name)
CoordinateSystem | getGraphCoordinateSystem ()
| Returns the coordinate system that the TrackerNode will convert its transform into for passing down the data graph.
LOrientationf const | getOrient ()
| Returns the current orientation of the tracker, if it is available.
Point3 const | getPos ()
| Returns the current position of the tracker, if it is available.
double | getTime ()
| Returns the time of the tracker's last update.
CoordinateSystem | getTrackerCoordinateSystem ()
| Returns the coordinate system that the tracker associated with this node will operate in.
Mat4 const | getTransform ()
| Returns the current position and orientation of the tracker, as a combined matrix.
bool | hasTime ()
| True if this data comes with timestamps.
bool | isValid ()
| Returns true if the TrackerNode is valid and connected to a server, false otherwise.
| setGraphCoordinateSystem (CoordinateSystem cs)
| Specifies the coordinate system that the TrackerNode will convert its transform into for passing down the data graph.
| setTrackerCoordinateSystem (CoordinateSystem cs)
| Specifies the coordinate system that the tracker associated with this node will operate in.
## Static Public Member Functions
static TypeHandle | getClassType ()

## Detailed Description

This is the primary interface to a Tracker object associated with a ClientBase.

It reads the position and orientation information from the tracker and makes it available as a transformation on the data graph.

## Constructor & Destructor Documentation

TrackerNode | ( | ClientBase | client,
|  | string | device_name
| ) |  |

## Member Function Documentation

static TypeHandle getClassType | ( |  | ) | `[static]`

Reimplemented from DataNode.

CoordinateSystem getGraphCoordinateSystem | ( |  | ) |

Returns the coordinate system that the TrackerNode will convert its transform into for passing down the data graph.

Normally, this is CS_default.

LOrientationf const getOrient | ( |  | ) |

Returns the current orientation of the tracker, if it is available.

Point3 const getPos | ( |  | ) |

Returns the current position of the tracker, if it is available.

double getTime | ( |  | ) |

Returns the time of the tracker's last update.

CoordinateSystem getTrackerCoordinateSystem | ( |  | ) |

Returns the coordinate system that the tracker associated with this node will operate in.

Mat4 const getTransform | ( |  | ) |

Returns the current position and orientation of the tracker, as a combined matrix.

Reimplemented from PandaNode.

bool hasTime | ( |  | ) |

True if this data comes with timestamps.

bool isValid | ( |  | ) |

Returns true if the TrackerNode is valid and connected to a server, false otherwise.

setGraphCoordinateSystem | ( | CoordinateSystem | cs | ) |

Specifies the coordinate system that the TrackerNode will convert its transform into for passing down the data graph.

Normally, this is CS_default.

setTrackerCoordinateSystem | ( | CoordinateSystem | cs | ) |

Specifies the coordinate system that the tracker associated with this node will operate in.

Normally, this is set from the ClientBase that's used to create the TrackerNode, so it should not need to be set on an individual tracker basis.

All Classes Namespaces Functions Variables Enumerations Enumerator Properties